Skip to main content
POST
/
applications
/
{id}
/
notes
Add note
curl --request POST \
  --url https://hireloam.com/api/v1/applications/{id}/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "note": "Had a great phone screen. Moving forward with technical interview."
}
'
import requests

url = "https://hireloam.com/api/v1/applications/{id}/notes"

payload = { "note": "Had a great phone screen. Moving forward with technical interview." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: 'Had a great phone screen. Moving forward with technical interview.'})
};

fetch('https://hireloam.com/api/v1/applications/{id}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "note": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "body": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
{
"error": {
"code": "invalid_request",
"message": "job_id is required"
}
}
{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}
{
"error": {
"code": "forbidden",
"message": "Missing required scope: write"
}
}
{
"error": {
"code": "not_found",
"message": "Application not found"
}
}
{
"error": {
"code": "internal_error",
"message": "An internal error occurred"
}
}

Authorizations

Authorization
string
header
required

API key from Settings > API Keys

Path Parameters

id
string<uuid>
required

The application ID

Body

application/json
note
string
required

The note content

Response

Note created

note
object